2023-04-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [26d86af29ae3fa9171a2c0a80a7a979a03f55737]

	Autoupdate configure.ac


2023-04-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9e64a61ac4ce0e3c237128c667718f83edae5b20]

	Stuff-up a bit the README


2023-04-29  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [91bd3ecbdf1be5b3c96b706440e45a17b73bdb5f]

	Incomplete implementation of handlePenForeColor (bdo#155057) + leftovers of refactoring


2023-04-17  ALONSO Laurent  <laurent.alonso@inria.fr>  [29244c855c26f6a7e699ffe8fa313b026a57c6d4]

	configure.ac: try to correct a problem concerning HAVE_VISIBILITY which   was not defined when compiling for Windows...


2022-01-09  David Tardon  <dtardon@redhat.com>  [54a8628804a00e6461f83cc1fe925eb82b8f7bf9]

	WPG1: fix vertical position of text line


2022-01-08  David Tardon  <dtardon@redhat.com>  [54e9e2ef918117a45d7b988ac758eff6742074ab]

	WPG1: improve output of aligned text


2022-01-02  David Tardon  <dtardon@redhat.com>  [039af7c8e9ad7bab4d121332654347e0713729ef]

	WPG1: handle font size


2022-01-01  David Tardon  <dtardon@redhat.com>  [e579102847e1ba721b6817e53d3b265cd4d119a7]

	WPG1: parse more graphic text attrs


2021-12-30  David Tardon  <dtardon@redhat.com>  [53704ebd69cfb4d1b03bd347ed8efe779e6109fb]

	astyle


2021-12-30  David Tardon  <dtardon@redhat.com>  [b2a51ede8ce8e667d55bcc274e393fbc023189fd]

	WPG1: make text type 2 handler build again


2021-12-30  David Tardon  <dtardon@redhat.com>  [9f666699f00d5e186537512b22c3b5ccc27fa381]

	Add note for text position


2021-12-30  David Tardon  <dtardon@redhat.com>  [9a700ed0cf48686bf9fbd10193ec7821b8d17a90]

	WPG1: handle text color


2021-12-29  David Tardon  <dtardon@redhat.com>  [213df19fcfbaf2b36d94670f644284d06fd39bae]

	WPG1: parse some bits of text attrs record


2021-12-29  David Tardon  <dtardon@redhat.com>  [1a4803695ddfc4ddb0ec81b834df948013052f91]

	Drop pointless cast


2021-12-29  David Tardon  <dtardon@redhat.com>  [2d180da8e5d6bc485ef1c52f4fade3266dab3998]

	WPG1: handle line style


2021-12-28  David Tardon  <dtardon@redhat.com>  [45bbf374289ebf86925985baff86de9733668d0f]

	Drop a pointless cast


2021-12-28  David Tardon  <dtardon@redhat.com>  [d0e94e4c6cd99b93e1f421fdbeccb26584c61842]

	WPG1: parse page format record

	... but don't do anything with it yet.

2021-12-28  David Tardon  <dtardon@redhat.com>  [9bea91572ed3c21efde9a89a44487a1e501ca385]

	WPG1: handle groups


2019-01-21  Miklos Vajna  <vmiklos@collabora.com>  [38d9cf01224543188ea2c1dbc8670b997d06b848]

	Fix too small loop variables

	These loop variables had narrower type 'unsigned int' than the
	iteration's upper bound 'unsigned long'.

2019-01-01  David Tardon  <dtardon@redhat.com>  [11ec2b8e02b3c85b7e7760e3d5875a9f067e652f]

	bump version


2019-01-01  David Tardon  <dtardon@redhat.com>  [a25f457e4b951a14d896fb8a25a4215d0dabb4c8]

	prepare for a release


2019-01-01  David Tardon  <dtardon@redhat.com>  [1e4bbfc043583d4783cf02f6544345ecc86872ed]

	add comments describing color formats


2019-01-01  David Tardon  <dtardon@redhat.com>  [a00691c1c746059bc1c971bf88e4744227127bd8]

	read color components in the (assumed) right order


2019-01-01  David Tardon  <dtardon@redhat.com>  [60e2626c6f43b031ebcb3364f2c666b945ac36fc]

	tdf#78105 read color components in the right order


2018-12-29  David Tardon  <dtardon@redhat.com>  [3c5fe7c421f077d0144fce1f037bc31246533fc9]

	fix var. name


2018-12-29  David Tardon  <dtardon@redhat.com>  [f6df54a33e887d7f1e4da5b01389e2efc041d7cf]

	put the flags to a single line


2018-12-27  David Tardon  <dtardon@redhat.com>  [ed38425ed63db1ee7d1873af88fedcf319578809]

	move class into separate source files


2018-12-26  David Tardon  <dtardon@redhat.com>  [72ba77d5a1e2311fd09fbca1144c2ebe62f41141]

	drop unneeded include


2018-12-26  David Tardon  <dtardon@redhat.com>  [7a2e37ba16aa4460544d784dba3527d090ce28aa]

	do not duplicate build system defines


2018-12-26  David Tardon  <dtardon@redhat.com>  [9c8feea054c3788a5737b139bb80bade77230b96]

	sort includes


2018-12-26  David Tardon  <dtardon@redhat.com>  [962b4d551037ce80e7e4b9457dedafd6be5eb3ec]

	drop unneeded include


2018-12-26  David Tardon  <dtardon@redhat.com>  [1e6f4c78618e6f7017b9f98377bfdd4d516ec231]

	sort source files lexicographically


2018-12-26  David Tardon  <dtardon@redhat.com>  [10142407994b939176d66695eb23f7c7efff1b5f]

	check for __attribute__((visibility)) too


2018-12-26  David Tardon  <dtardon@redhat.com>  [92b5d6d4ce028d1883c448b1e91f20360ad24601]

	avoid self-assignment


2018-12-26  David Tardon  <dtardon@redhat.com>  [a929126e16d8b210aec9610d63360475f23c18ac]

	avoid self-assignment


2018-12-26  David Tardon  <dtardon@redhat.com>  [75416ce38e0a6eca4ec555bf1789a7505c6d9084]

	mark WPGBitmap::copyFrom as an impl. detail


2018-05-05  David Tardon  <dtardon@redhat.com>  [a91d803f2878c9b6eb244fbcf9597e6fe236bdad]

	disable werror by default


2017-11-21  Miklos Vajna  <vmiklos@collabora.co.uk>  [cafbc0f82254406f61b522a41ccc95443b296a13]

	libwpg_utils: end is overwritten in all branches later

	So just initialize it to 0, anything complicated makes little sense.

2017-11-01  Miklos Vajna  <vmiklos@collabora.co.uk>  [732691b13daf8328617b96586c3f9e7b4c9a8e00]

	Use auto when declaring iterators and when initializing with a cast


2017-10-31  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [85b9775f1c041b4cb4b49830079b04415c038ffd]

	doxygen -u


2017-10-28  David Tardon  <dtardon@redhat.com>  [f02e8c672c6565d1b18da19a5b33aa9abc89a52c]

	drop MSVC project files obsoleted by move to C++11


2017-10-28  David Tardon  <dtardon@redhat.com>  [afd75adf1204a5d6a782a51e63655aac146f2660]

	save some vertical space


2017-09-28  David Tardon  <dtardon@redhat.com>  [dac9846f95f0828004df2f41b1ec5de0067b0777]

	only include what is needed


2017-09-28  David Tardon  <dtardon@redhat.com>  [14989d98b049aba7718aaf36a9f3437a5f805266]

	avoid output from fuzzer


2017-09-12  David Tardon  <dtardon@redhat.com>  [eed6d81795f38a924a287da95b573ce2d7965d89]

	bump release


2017-09-12  David Tardon  <dtardon@redhat.com>  [586bffde12e16d95ea15b4e554ec8ef8d2ed39d2]

	prepare for a release


2017-09-12  Miklos Vajna  <vmiklos@collabora.co.uk>  [92a9b631ee0228fa063dc1e23b08327da044c43a]

	Convert 0 to nullptr where it's used as a pointer value

	To make the code easier to read, because this means the remaining zeros
	all mean numbers.

2017-09-11  Miklos Vajna  <vmiklos@collabora.co.uk>  [dd0d0de2acfbef187b3edb24a16a79eb9410f95c]

	Mark overriding member functions as 'override'

	This does not affect the generated code (API or ABI), but:

	1) Makes sure that in case the signature of one of these functions would
	change by accident, the build breaks as the function no longer overrides
	a base function.

	2) Makes the code readable by explicitly marking all overriding
	functions as 'override', where previously the reader had to read the
	interface of the base class(es) as well to find out if the function is
	virtual or not.

	3) Since 'override' implies 'virtual', remove the 'virtual' keyword
	where 'override' is present.

2017-09-11  Miklos Vajna  <vmiklos@collabora.co.uk>  [22f35e192cb9ae6399063b7e0bcb2e72734fc768]

	WPGBitmap: fix gcc-4.8 build

	WPGBitmap.cpp: In constructor 'libwpg::WPGBitmap::Private::Private(int, int)':
	WPGBitmap.cpp:80:109: error: call of overloaded 'unique_ptr(int)' is ambiguous
	  Private(int w, int h): width(w), height(h), vRes(72), hRes(72), vFlip(false), hFlip(false), pixels(0), dib() {}
	                                                                                                             ^

2017-09-10  Miklos Vajna  <vmiklos@collabora.co.uk>  [0c3031285d71b710389c700205f298b7fe868df4]

	m4: MSVC defines __cplusplus as 199711L still

	See e.g.
	<https://stackoverflow.com/questions/37503029/cplusplus-is-equal-to-199711-in-msvc-does-it-support-c11>,
	on MSVC we can't depend on the value of __cplusplus, since that one is a
	too low value, even if everything else works fine.

2017-05-16  David Tardon  <dtardon@redhat.com>  [f3af1967b5c140f775b4fe97d03a31aef7fd5ad9]

	drop :: prefix


2017-05-03  David Tardon  <dtardon@redhat.com>  [4a08233d4a526f2c03dd4026ab8ada0a16dc4af5]

	ofz#1319 clamp value to avoid signed int overflow


2017-05-02  David Tardon  <dtardon@redhat.com>  [4c513a321c24aeaf2175b66b951c2ab31ba950d0]

	ofz: avoid signed integer overflow


2017-05-02  David Tardon  <dtardon@redhat.com>  [6c7b81b9d3a0f25a02332d067f4498dfc366a21e]

	ofz#987 fix conv. of out-of-range doubles


2017-05-02  David Tardon  <dtardon@redhat.com>  [37c1bcebfa4c2b90d94f24f419510a7696112dbb]

	replace macros by functions


2017-04-25  David Tardon  <dtardon@redhat.com>  [857731be5a9eda102ed74201eec9f15f2102adf5]

	replace dumb pointers by smart ones


2017-04-25  David Tardon  <dtardon@redhat.com>  [0dcfa1118b72123a0aa2eb4cc43dbf30d9921523]

	replace dumb pointers by smart ones


2017-04-25  David Tardon  <dtardon@redhat.com>  [09888f9bcf502f366536e342799f3a50d5f3797a]

	use vector for buffer


2017-04-25  David Tardon  <dtardon@redhat.com>  [334140378eadcdc50bd7b1299f0362f186703769]

	replace a dumb pointer by a smart one


2017-04-25  David Tardon  <dtardon@redhat.com>  [70ad7812946cc5f730caa7521fba4862bda7b697]

	drop forgotten source file


2017-04-25  David Tardon  <dtardon@redhat.com>  [5b35ac49b4e2038c3946b5b189b2e7baaec297cd]

	check for __attribute__((format)) in configure


2017-04-25  David Tardon  <dtardon@redhat.com>  [9dee2402dddc5ba4f6c4b003274dc82603ea08f2]

	drop verbose debug


2017-04-25  David Tardon  <dtardon@redhat.com>  [943781ad1b9ca9814e4f206e6e79f9967a19bbec]

	switch to C++11


2017-04-25  David Tardon  <dtardon@redhat.com>  [889938b4693c2bbaba35d0f055aba61717b58e09]

	only ignore auto-updated m4 files


2017-04-23  David Tardon  <dtardon@redhat.com>  [34ee67710b1f1e22ed9716aee97e8a9612671245]

	read binary data in one sweep


2017-03-30  David Tardon  <dtardon@redhat.com>  [88304f0c7ec7c04465b78d1e94ca229a20bd6f4b]

	create a fuzzing driver for oss-fuzz


2015-12-26  David Tardon  <dtardon@redhat.com>  [7cbc1483fc084b0105e3055bfe656b69cf21d045]

	nitpick


2015-12-26  David Tardon  <dtardon@redhat.com>  [3614df961568bb8be3316d2818d4b7bf3cada0f4]

	update AUTHORS to reflect reality


2015-12-26  David Tardon  <dtardon@redhat.com>  [fbc0922babe4e298cfba28d5faf1ea4b8b36a2ca]

	convert to Unix format


2015-12-26  David Tardon  <dtardon@redhat.com>  [15ef7cd12e7f82e1cf3f9cb1f0eae7c31f5665ec]

	prepare for a release


2015-12-26  David Tardon  <dtardon@redhat.com>  [631fe50d96783565f895263fad44fa730c56e4f6]

	drop the "dummy bitmaps" stuff, broken since 2011

	It was broken by commit e1cd4aa3, which changed the preprocessor define
	of OUTPUT_DUMMY_BITMAPS to automake conditional. It seems that nobody
	has noticed.

2015-12-26  David Tardon  <dtardon@redhat.com>  [93501a33b4a8305f0053954c67b5ece23c6962f9]

	drop obsolete cruft


2015-12-26  David Tardon  <dtardon@redhat.com>  [1e557626de3f454b535745fdd12fa0885f42132c]

	there is no BUILD_EXTRA_DIST


2015-12-26  David Tardon  <dtardon@redhat.com>  [7acd5e3eeb41ce9020e149f8ccd0bafebb768319]

	simplify installation of headers


2015-12-26  David Tardon  <dtardon@redhat.com>  [a1d1c7650a1e27a7ed4d5803701e0e58af129fe3]

	coverity#1325210 improper use of negative value


2015-12-26  David Tardon  <dtardon@redhat.com>  [2616f60fec1cffe8e482b9b333682a8e997a1ea4]

	sizeof(unsigned char) == 1 by definition


2015-12-26  David Tardon  <dtardon@redhat.com>  [7233cc58837536e44336c2f496d091894b97636b]

	print debug output to stderr


2015-12-26  David Tardon  <dtardon@redhat.com>  [224e0f221ecf1a039a7b20be2473ea638482c8cb]

	make --help output more help2man-friendly


2015-08-28  David Tardon  <dtardon@redhat.com>  [8db968e70fc46370be0ae448baa15fddc8933fb8]

	ensure we do not use garbage data


2015-08-28  David Tardon  <dtardon@redhat.com>  [7e835ce88558f9eb9f97796eb2e30a3c19e8dd54]

	move check up


2015-08-28  David Tardon  <dtardon@redhat.com>  [f1b199b655acb7ab7724a13749607a447ef7c321]

	remove faulty end conditions

	These loops do not read anything from input.

2015-08-24  David Tardon  <dtardon@redhat.com>  [5cdf6a79f46f99cf8e335fd1eda2c22115a145d6]

	fail if no bytes were decoded


2015-08-24  David Tardon  <dtardon@redhat.com>  [620805ce58bed504a1c5e847ec4ebddd49931230]

	afl: sanitize number of curved polyline points


2015-08-24  David Tardon  <dtardon@redhat.com>  [ee98825d68e4523204ce00eea2677e6cb3154987]

	afl: sanitize number of polyline points


2015-08-24  David Tardon  <dtardon@redhat.com>  [5abc31f8fce3da73646614399bbc58a948d943b8]

	afl: sanitize number of polygon points


2015-08-24  David Tardon  <dtardon@redhat.com>  [f15af976aa16f8f9bfa583b608e294c8fdff7301]

	afl: sanitize record length


2015-08-24  David Tardon  <dtardon@redhat.com>  [ad0d98cf38aca7dcef9645fe5146a393f5314f81]

	avoid overflow


2015-08-24  David Tardon  <dtardon@redhat.com>  [29466e79d989674c94841904a6f8fb2369a81e18]

	afl: avoid big allocation


2015-08-24  David Tardon  <dtardon@redhat.com>  [9eadfd419e99412939c9cfbd48379807844a0026]

	afl: make sure there is something to read


2015-08-24  David Tardon  <dtardon@redhat.com>  [047e4a2668c816229febc258ea6fee543eed1cd4]

	afl: sanity-check bitmap dimensions


2015-08-24  David Tardon  <dtardon@redhat.com>  [e4ebdaf35e47b293c4a3ace6ac9dbb0521b8e9fb]

	remove duplicate checks


2015-08-24  David Tardon  <dtardon@redhat.com>  [31eca42e0b81e69ea7e1b3600b86f244a610035c]

	reduce scope


2015-08-05  David Tardon  <dtardon@redhat.com>  [8cd89543b6a9a80cf3374b6d2261a128fb4d3b7b]

	use tighter upper bound for sanity checks


2015-08-05  David Tardon  <dtardon@redhat.com>  [90d46020a5db7a9d6d8adb55990520406c63992e]

	sanitize record length


2015-08-05  David Tardon  <dtardon@redhat.com>  [2ff7051b7a2f49e800759c9e4a574d8c1e23a68e]

	libwpg:: prefix is not needed


2015-08-05  David Tardon  <dtardon@redhat.com>  [2da9f78dbaa0185197f1fd5868137a908df26d43]

	afl: do not try to read more than is possible


2015-08-05  David Tardon  <dtardon@redhat.com>  [94731cb5c0b1622a40e402852ded7a31ae95d933]

	afl: do not try to read more than is possible


2015-08-05  David Tardon  <dtardon@redhat.com>  [802a866dcb31dbcff578b98aca50eadeb387474e]

	afl: do not try to read more than is possible


2015-08-05  David Tardon  <dtardon@redhat.com>  [69610543b248c55cec16686df33e735efb1959df]

	0 dimensions are allowed


2015-08-04  David Tardon  <dtardon@redhat.com>  [88904cee1b16ca7b0930ad7768e9e4da8e806a89]

	afl: avoid null ptr deref.


2015-08-04  David Tardon  <dtardon@redhat.com>  [46977500e289292bfe6ac9a851a0d1570abd965d]

	afl: avoid big allocation


2015-08-04  David Tardon  <dtardon@redhat.com>  [b10698b3ffdb6bc8ebfedba611e936d4a85b0476]

	afl: avoid calling new[] with negative size


2015-08-04  David Tardon  <dtardon@redhat.com>  [674de1646927b8073a88b14f938c5ea15511d90f]

	afl: avoid null ptr deref.


2015-08-04  David Tardon  <dtardon@redhat.com>  [89c27849e06d21a2725a7ac610d63298680bbb0c]

	add make astyle target


2015-02-02  David Tardon  <dtardon@redhat.com>  [583efac07879c06c6e1abb613f0af4206a78b960]

	remove bashism


2014-11-24  David Tardon  <dtardon@redhat.com>  [0089dfd4f3920bb3388f8902e1ed157c87f8af13]

	add compile to .gitignore


2014-11-24  David Tardon  <dtardon@redhat.com>  [7168e682ec005499110cf7ed9b9bd222fe95cd3b]

	only export public symbols


2014-09-01  Caolán McNamara  <caolanm@redhat.com>  [c67f39fae0f394f9f83fcfb1329023661b101ca4]

	Resolves: cid#982847 Out-of-bounds read

	the if (segments == 0) break; covered that condition, but might
	as well rearrange to keep coverity happy and just drop the end
	marker and depend on the correct range usage

2014-07-29  David Tardon  <dtardon@redhat.com>  [3aac79f0a1b3cf6dd5f1d94fed4fef29d14b51e4]

	check arguments


2014-06-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e05ac5e12b4c20306526f202f213f594b7ee95ff]

	No need to const_cast since librevenge 0.0.1


2014-05-27  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4b74b38c5d431b1fa1b5bfc80ba37eef8e8374b2]

	The library strictly speaking does not need the stream implementations


2014-05-23  David Tardon  <dtardon@redhat.com>  [b278f7694ba1fa4bf5755c99c4890b95a3c23837]

	prepare for a release


2014-05-23  David Tardon  <dtardon@redhat.com>  [8ae0c619b7ff6d422ad2a854141199393c4dc4f9]

	adapt to librevenge changes


2014-05-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [134ca5090dd1096f9af5122e4cf8917015c44401]

	drawConnector missing


2014-04-16  David Tardon  <dtardon@redhat.com>  [e6255edf494e9acd1702ffe822c46166673989ce]

	libwpd is impl. detail -> hide it


2014-04-16  David Tardon  <dtardon@redhat.com>  [26b00bf4571fe9f9836a188f9d794791688d0429]

	require librevenge-stream too


2014-01-01  David Tardon  <dtardon@redhat.com>  [4a1a37e779753c145445ce8c6410444969b930e3]

	simplify this


2014-01-01  David Tardon  <dtardon@redhat.com>  [f5dfdaeec1ee2c023f7de2609162af97540b6486]

	cppcheck: expression is always false

	(thanks to David Binderman for pointing this out)

2013-12-19  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6baa1ec26a1a9de470cdbb563446c1a22ed4f7e2]

	Adapt to changes to RVNGTextInterface


2013-12-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [540ddb2bf26bf5aa6d60a05a767de528b90adcfa]

	Export only needed stuff on Windows


2013-12-17  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8fdf5e37c5dcdda711190809b19b5c13f1e87a21]

	Adapt to librevenge changes


2013-12-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e6b29174504cf14324dc790c6d7f1125b30e4865]

	Adapt to changes in librevenge


2013-12-12  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6c5e99c4dbeebe7cba1e428f4fe7845f9a1c763e]

	Revert "WPG2Parser: remove unused <<using namespace>>"

	Not so "unused" after all :)

	This reverts commit 8d31338ef4fc54168f50b1d3be57ac9a0e100ae4.

2013-12-11  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [52e127431f6564ac017632590a3926d7e774f6d8]

	Allow equal identing of functions


2013-12-11  osnola  <alonso@loria.fr>  [8d31338ef4fc54168f50b1d3be57ac9a0e100ae4]

	WPG2Parser: remove unused <<using namespace>>


2013-12-09  David Tardon  <dtardon@redhat.com>  [a5c11756e6dae9477ed3d7221833d8c63d44d37c]

	reorganize to only need cleanup at one place


2013-12-09  David Tardon  <dtardon@redhat.com>  [f9e2ab427575aba23a5a2036e07499286a4718c9]

	there is no need to check ptr for 0 before delete

	... and doing it throws coverity off.

2013-12-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [db5d749752c975f9bf593541b7bbf3578a8e3672]

	Adapt to changes of librevenge


2013-12-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [df655d46fa155cd46f015a0187978a10a19d2e92]

	Be sure the right thing is spit out as text


2013-12-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a482e916a40699ef004a0b14d9184c305a977f5c]

	Don't dupplicate those properties


2013-12-01  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e41d9c612e40df6aacea62bbe155391c9215db15]

	Adapt to libwpd namespacing


2013-11-30  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [83896353f441051cc6d53b5788b1ed937111c35c]

	Allow wpg2raw output callgraph


2013-11-28  David Tardon  <dtardon@redhat.com>  [2a2e13557cd651a9fdede6f8a647177a80793ffe]

	add myself to AUTHORS file


2013-11-28  David Tardon  <dtardon@redhat.com>  [113584d73aa6e20d1f925217b3a9346047d10269]

	add options file for astyle


2013-11-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [a92902038c3589834a7d5f08711ebbcbaccbda03]

	astyle -HU -A1 -k3 -y -n -t -r \*.cpp \*.h


2013-11-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [856d4729c39a798fb4143208627d597078498df2]

	drawPoly*: vertices -> "svg:points"


2013-11-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [32ab8b23703dc3ac5dacb7511cbb7f1d300d8915]

	Fold in the gradient


2013-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [7e08c6626a1b58a15fee1129140691597d0c78b8]

	openTable: columns -> librevenge:table-columns + fold data in insertEquation


2013-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [dccc3cc4f285f9119fb13edc38c9e3a8f65a5e73]

	insertField: type -> librevenge:field-type


2013-11-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [78dc47cc6792ebc62453f46f4bf55d9c69d424c7]

	Folding in the section columns


2013-11-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [d9a91d8510dd714ad997594578c97983e8565730]

	Fold tabStops into the propList


2013-11-20  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2afcdb02e081e04ca1f8b024494fb6aeac8c7384]

	Folding paths into propLists


2013-11-14  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [66234afc9c2b6f788622828c5625387fd839beca]

	Adapt to API change in librevenge


2013-11-07  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [eb8998dbdc87a247e0598ea9a481003e3fbf4ef4]

	Small fix


2013-11-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [cd5dd09709891a4b125a50a65ef02538cdd4cd13]

	Simplify public interface + callcatcher action


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [078167d04a66b70e35ba9af78ebbebd60e0431be]

	SVG is librevenge's core


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [c577dc0128934872eda291e9cfb5033e03b30ca9]

	Port to the librevenge-generators


2013-11-05  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f9757c9d888bb18ec3fbd4dacfc3e85af339b87c]

	librevenge namespace


2013-11-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [4045f41f1f0d39f73c47ab4cb1ced13d9562ffa8]

	The library does not depend on the steam implementations


2013-11-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [bbaaaacac41f59a178968b726e29985385fea437]

	Depend on right libraries


2013-11-04  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [33888bf408c81f41e7b1edea466db3a89ad6c0e1]

	Properties are now in librevenge: namespace + some fixes


2013-11-03  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b165cca501e5f9e84bc565cf95b310fccb6000eb]

	Don't forward-declare those ones


2013-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [28647e216df8e0dac28a5d1394ece1b4443a8a8c]

	Adapt to the new RVNGInputStream API


2013-11-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [2043e8b8cd8bc318fe70eb9a6938bb8387ec6283]

	Use librevenge


2013-09-02  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [ad3c43ffdf657043cd010c4928bc327a31cceedf]

	Historically, gradient is linear if not specified the draw:style

	(cherry picked from commit e51d9ed2b5a62bb15aa3cdd34035c619cb249265)

2013-08-27  osnola  <alonso@loria.fr>  [c31734a918f88a8b6b707082fc3e70c9199ebc14]

	Silent more warnings: mainly cppcheck warnings... (cherry picked from commit 471f80bb6fbfbd126b0ecdf2491e3e341c348622)

	Signed-off-by: osnola <alonso@loria.fr>

2013-08-26  Laurent Alonso  <laurent.alonso@inria.fr>  [ad8a5973c2dfdbf7ece07e3a0e211bdcf6889670]

	Silence some warnings

	(cherry picked from commit 403f438066336a95a2f0ebcca452f09cf3b5add0)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-26  osnola  <alonso@MacBook-Air-de-laurent.local>  [025a60fec95b4deb8aca1658e8da7062d2454bc0]

	Correction in dash-array: when the dimensions are given with WPX_PERCENT, use the line width to compute the final dimensions.

	(cherry picked from commit 085ed5000a823f4c68953c1616f0fdb9c183a7a7)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-25  Laurent Alonso  <laurent.alonso@inria.fr>  [926a77c1e4dfdc9d44a14e4921614bcf0f311394]

	Changes to dash-array

	(cherry picked from commit cd463673755d96241cf408dfb5863f22dc5d22ac)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-25  Laurent Alonso  <laurent.alonso@inria.fr>  [98533ab0c6552606fe45aaaa1590636fee93b5d2]

	Port useful stuff from libcdr

	(cherry picked from commit 2a949eb54004956ba425c162c345e8376a55051f)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-25  Laurent Alonso  <laurent.alonso@inria.fr>  [0e46c9861c704021a9d2ae463acaeb8b1f135cc8]

	Port useful stuff from libmspub

	(cherry picked from commit bf104da1eaea6403b7e64cb55e9e9602fb7211d2)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-23  Laurent Alonso  <laurent.alonso@inria.fr>  [ce6ef0ffdfaecea47c20208041ccc14066f3dd0a]

	Extract some logic into its own function

	(cherry picked from commit 2f96abbdc0a68d8c0ebc43a51223487c3a8b6b96)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [46b1aac9cb66d25551a565973a9fd1273602e1b2]

	Conditionalize the xml header for future change

	(cherry picked from commit 0f82c4ed5e177de4a478a943708f912c5acf7736)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8c4a2098c4ae43d0a271e1e6a4c5347e82308187]

	conditionalize xml namespace

	(cherry picked from commit fb07929e7b89ac5cde5c18086f244eb310a849fc)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-23  Laurent Alonso  <laurent.alonso@inria.fr>  [84276a5b3fc4659aef66c799dd8969263da7105d]

	Port changes from MSPUBSVGGenerator to WPGSVGGenerator

	(cherry picked from commit c18735c027da1d1147319877ecc82625fcff3182)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

	Conflicts:
		src/lib/WPGSVGGenerator.cpp

2013-08-23  Laurent Alonso  <laurent.alonso@inria.fr>  [815ab91f92541d3ad0773e3224d8d3ad2aacd0e1]

	Even more fixes for the WPGSVGGenerator

	(cherry picked from commit 96b3a4ee5fd9f5fb27fa8b88326772d12880ae27)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-23  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [de6a7eb26c0e44b32e8afb1d1e15c2e9f4608894]

	Make WPGSVGGenerator able to produce an SVG per page

	(cherry picked from commit 8c690a481ce97faee5421b672a06734ae4e6c869)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

	Conflicts:
		src/lib/WPGSVGGenerator.cpp

2013-08-22  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [553090043accb8b465ad9e915c39cf9900336615]

	astyle -b -k3 -y -n -r -t \*.cpp \*.h


2013-08-22  Laurent Alonso  <laurent.alonso@inria.fr>  [4e95dcc06c1ce02120e70789d99678acad40e230]

	More stuff for the svg-generator class

	(cherry picked from commit 36d26ed222939c25c37f12b3711cd02c02ac42f5)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-21  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [402e024b8b1ab8d6c54706941baa0e7b1a45c8e9]

	Mismatched tags

	(cherry picked from commit 9e6c8e05b6453db3a573bc0ff9d510a12060e24b)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-08-21  Laurent Alonso  <laurent.alonso@inria.fr>  [ced9cb46f3f0a655853c240f4c4473b7c226da4a]

	Miscellaneous fixes of the svg-generator class

	(cherry picked from commit f32fdbd19a47f07d6b76b2a8546ea75535625b49)
	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2013-05-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8cd6388345d0ee21c98e180035641e1e2dc5846d]

	Update/delete alternative build systems


2013-05-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [b04880bded34e6e4db6d7229a1f41b4fb2a87f68]

	libwpd already does this conversion, so don't dupplicate (cherry picked from commit c57f196ea537a9898d83806e17eb05690d892cd7)


2013-05-10  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [deb9f845d442066c1dda9a66e1a5ceebe8817802]

	Make Michael Stahl happy (libwpg part) (cherry picked from commit 540e6a4cf65bcbe341630dcef4bb8020888f9b31)

	Conflicts:
		configure.ac
		libwpg-0.2.pc.in
		libwpg-0.3.pc.in
		libwpg.pc.in

2013-04-25  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [8ea1270029a79958ceeb76f01fc9bbc6702a2f3e]

	Some sane defaults for the build


2013-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [6f55ce4666f504b0ae3d666c98ee00e471c1161a]

	Fix distcheck and LO build


2013-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [f89f4adb4c996f29dbf3f6b90a39888d7189c1b8]

	Small fixup


2013-04-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [9cc9228cd46e1c01d3f0289724beae9e17939782]

	By agreement of all contributors, dual-licensing under MPL2+ and LGPL2.1+


2013-01-18  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [fdec4fe48bf96841604971374b2e0bb68f025750]

	Fix build with newer autotools


2012-12-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e6bcf9d0eafef7335ec17fabae54ae835a8c442f]

	Change some changes to project files


2012-12-16  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [e9b636b6dceedc166c8ab37f080902cfa0b45b8b]

	These ones don't need to be executable


2012-12-16  David Tardon  <dtardon@redhat.com>  [3e346285869ef7202b0e0c0908cf9afcbe2200d3]

	coverity: drop useless check for NULL before using delete

	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2012-12-16  David Tardon  <dtardon@redhat.com>  [ec66ff0af5bbe808f534107528aee9c4e76277d2]

	coverity: depth is always 1, 2, 4 or 8 here

	Signed-off-by: Fridrich Štrba <fridrich.strba@bluewin.ch>

2012-10-06  Fridrich Štrba  <fridrich.strba@bluewin.ch>  [770e100e61af015f793d0613269ea9d1985a369a]

	Some more configurability about warnings
